Package net.snowflake.client.api.loader

## Enum LoadingError.ErrorProperty

- java.lang.Object
- - java.lang.Enum<LoadingError.ErrorProperty>
  - - net.snowflake.client.api.loader.LoadingError.ErrorProperty

All Implemented Interfaces:
  `Serializable`, `Comparable<LoadingError.ErrorProperty>`

Enclosing class:
  LoadingError

    public static enum LoadingError.ErrorProperty
    extends Enum<LoadingError.ErrorProperty>

Properties that can be associated with a loading error.

These correspond to columns in the Snowflake COPY command validation results and provide detailed information about what went wrong during data loading.

### Enum Constant Summary

Enum Constants
`BYTE_OFFSET` The byte offset in the file where the error occurred
`CATEGORY` The error category (e.g., "parsing", "data type mismatch")
`CHARACTER` The character position where the error occurred
`CODE` The numeric error code
`COLUMN_NAME` The name of the column where the error occurred
`ERROR` The error message describing what went wrong
`LINE` The line number in the source file where the error occurred
`REJECTED_RECORD` The rejected record data
`ROW_NUMBER` The row number in the result set
`ROW_START_LINE` The starting line number of the row
`SQL_STATE` The SQL state code

### Method Summary

All Methods Static Methods Concrete Methods
`static LoadingError.ErrorProperty` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static LoadingError.ErrorProperty[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### ERROR

    public static final LoadingError.ErrorProperty ERROR

The error message describing what went wrong

#### LINE

    public static final LoadingError.ErrorProperty LINE

The line number in the source file where the error occurred

#### CHARACTER

    public static final LoadingError.ErrorProperty CHARACTER

The character position where the error occurred

#### BYTE_OFFSET

    public static final LoadingError.ErrorProperty BYTE_OFFSET

The byte offset in the file where the error occurred

#### CATEGORY

    public static final LoadingError.ErrorProperty CATEGORY

The error category (e.g., "parsing", "data type mismatch")

#### CODE

    public static final LoadingError.ErrorProperty CODE

The numeric error code

#### SQL_STATE

    public static final LoadingError.ErrorProperty SQL_STATE

The SQL state code

#### COLUMN_NAME

    public static final LoadingError.ErrorProperty COLUMN_NAME

The name of the column where the error occurred

#### ROW_NUMBER

    public static final LoadingError.ErrorProperty ROW_NUMBER

The row number in the result set

#### ROW_START_LINE

    public static final LoadingError.ErrorProperty ROW_START_LINE

The starting line number of the row

#### REJECTED_RECORD

    public static final LoadingError.ErrorProperty REJECTED_RECORD

The rejected record data

### Method Detail

#### values

    public static LoadingError.ErrorProperty[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (LoadingError.ErrorProperty c : LoadingError.ErrorProperty.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static LoadingError.ErrorProperty valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null